#include "IZ_app_config.h"

void IZ_ConfigGetDefaultPath(const char* config_path, size_t string_size) {
#ifdef IZ_DEBUG
	const char* config_path_dir = SDL_GetBasePath();
#else
	const char* config_path_dir = SDL_GetPrefPath("Modal Studios", IZ_APP_NAME);
#endif

	memcpy_s(config_path, string_size, config_path_dir, 128);
	strcat_s(config_path, string_size, "config-server.ini");
}
